Name: CJK
Summary: LaTeX2e macro package for Chinese/Japanese/Korean scripts
Copyright: GPL
Group: Applications/Publishing/TeX
Distribution: Red Hat Contrib|Net
Packager:  Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Vendor:    David Fox <dsfox@cogsci.ucsd.edu>
Version: 4.2.0
Release: 5
# Source0 is a tarball of the CJK files stored in the FTP directory,
# they are stored there unpacked.
Source0: ftp://tug2.cs.umb.edu/tex-archive/language/chinese/CJK-4.2.0.tar.gz
Source1: ftp://ftp.dante.de/pub/tex/fonts/CJK/README
Source2: ftp://ftp.netscape.com/pub/communicator/extras/fonts/windows/Cyberbit.ZIP
Source3: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/cns40-1.tar.gz
Source4: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/cns40-2.tar.gz
Source5: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/cns40-3.tar.gz
Source6: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/cns40-4.tar.gz
Source7: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/cns40-5.tar.gz
Source8: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/cns40-6.tar.gz
Source9: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/cns40-7.tar.gz
Source10: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/cns40-b5.tar.gz
Source11: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/han.300.tar.gz
Source12: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/han.600.tar.gz
Source13: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/han.tfmvf.tar.gz
Source14: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/han1.300.tar.gz
Source15: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/han1.600.tar.gz
Source16: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/han1.tfmvf.tar.gz
Source17: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/hanja65.tar.gz
Source18: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/jfs56.tar.gz
Source19: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/jisksp40.tar.gz
Source20: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/kanji48.tar.gz
Source21: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/ntukai48.tar.gz
Source22: ftp://tug2.cs.umb.edu/tex-archive/fonts/CJK/uwpatch.tar.gz
Source23: ftp://ftp.freetype.org/pub/freetype/freetype-1.2.tar.gz
Patch1: CJK-hbf2gf.patch
Patch2: CJK-lisp.patch
Requires: tetex >= 0.9
BuildRoot: /var/tmp/CJK

%description
This is a package of macros and fonts and utilities for doing
Chinese/Japanese/Korean word processing using LaTeX.  It requires
tetex version 0.4pl8 exactly (the one distributed with redhat 5.1.)
It won't work with version 0.9.  You'll have to downgrade the tetex
packages on your redhat 5.2 system, but its worth it.

%package emacs
Summary: Emacs support for the CJK package
Group: Applications/Publishing/TeX
Requires: CJK = %{version}-%{release}, emacs >= 20.3
%description emacs

Emacs code to convert files between Mule to CJK encodings.  To use this,
put (load-library "cjk-enc") in your .emacs.  Then when you are editing a
.ltx file you can create a .cjk.ltx file in the cjk-coding by calling
M-x write-cjk-file.  After that the .cjk.ltx file will be automatically
updated when the .ltx file is saved.  Emacs will also know about the
.cjk.ltx file when it runs latex, xdvi, or dvips.

%package fonts
Summary: Fonts for the CJK package
Group: Applications/Publishing/TeX
Requires: CJK = %{version}-%{release}
%description fonts
Fonts for the CJK package

%prep

%setup -c
%setup -D -T -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9 -a 10 -a 11 -a 12 -a 13 -a 14 -a 15 -a 16 -a 17 -a 18 -a 19 -a 20 -a 21 -a 22

# Unpack the freetype distribution - we need to build ttf2pk
%setup -D -T -a 23

unzip $RPM_SOURCE_DIR/Cyberbit.ZIP

mkdir texmf/fonts/type1
mv texmf/fonts/hbf texmf/fonts/type1

# Fix to the emacs lisp code

%patch2 -p1

%build

cd freetype-1.2
./configure --prefix=/usr --with-kpathsea-dir=/usr
make
cd contrib/ttf2pk
./configure --prefix=/usr --with-kpathsea-dir=/usr
make
cd ../../..

cd CJK/4_2.0/utils
cd hbf2gf; chmod ugo+x ./configure ./config.sub ./config.guess;
./configure --prefix=/usr/share/texmf --with-kpathsea-dir=/usr
make
cd ../Bg5conv
cc -O -s -o bg5conv bg5conv.c
chmod ugo+x bg5latex
cd ../SJISconv
cc -O -s -o sjisconv sjisconv.c
chmod ugo+x sjislatex
cd ../CEFconv
chmod ugo+x cef5latex ceflatex cefslatex
cc -O -s -o cefconv cefconv.c
cc -O -s -o cef5conv cef5conv.c
cc -O -s -o cefsconv cefsconv.c

%install

rm -rf %{buildroot}

mkdir -p %{buildroot}/usr/bin
cp freetype-1.2/contrib/ttf2pk/ttf2pk %{buildroot}/usr/bin/

mkdir -p %{buildroot}/usr/share/texmf/tex/CJK
(cd CJK/4_2.0/texinput; \
 tar cf - . | (cd %{buildroot}/usr/share/texmf/tex/CJK; tar xf -))

# Install the CJK fonts

cd texmf
tar cf - . | (cd %{buildroot}/usr/share/texmf; tar xf -)
cd ..

mkdir -p %{buildroot}/usr/man/man1
cd CJK/4_2.0
cd utils
 cd hbf2gf
  cp hbf2gf %{buildroot}/usr/bin
  cp hbf2gf.1 %{buildroot}/usr/man/man1/hbf2gf.1
 cd ../Bg5conv
  cp bg5conv bg5latex %{buildroot}/usr/bin
  cp bg5conv.1 %{buildroot}/usr/man/man1
 cd ../CEFconv
  cp cefconv ceflatex cef5conv cef5latex cefsconv cefslatex \
		%{buildroot}/usr/bin
  cp cef5conv.1 cefconv.1 cefsconv.1 %{buildroot}/usr/man/man1
 cd ../SJISconv
  cp sjisconv sjislatex %{buildroot}/usr/bin
  cp sjisconv.1 %{buildroot}/usr/man/man1
 cd ..
cd ..

mkdir -p %{buildroot}/usr/share/emacs/site-lisp
(cd utils/lisp && \
 cp *.el emacs-20.3/*.el %{buildroot}/usr/share/emacs/site-lisp)

%post
texhash
if ! grep -q '^gsfs14' < /usr/share/texmf/fontname/special.map; then
  echo "gsfs14  gb2312  gsfs14" >> /usr/share/texmf/fontname/special.map
fi

%postun
texhash

%clean

#rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CJK/4_2.0/doc/*

/usr/bin/*
/usr/man/man1/*
/usr/share/texmf/tex/CJK

%files fonts
%defattr(-,root,root)
/usr/share/texmf/hbf2gf
/usr/share/texmf/fonts/type1/hbf
/usr/share/texmf/fonts/pk/*
/usr/share/texmf/fonts/tfm/*
/usr/share/texmf/fonts/vf/*

%files emacs
%defattr(-,root,root)
/usr/share/emacs/site-lisp/*.el

%changelog

* Tue May 18 1999 David Fox <dsf@pipeline.ucsd.edu>
- Release 5: Truetype support.
- Release 4: Moved hbf subdirectory into $TEXMF/fonts/type1
